      SUBROUTINE DE75DE(M,K,IU,THRESH,DELTY,YX,U,RO)
      DOUBLE PRECISION THRESH,DELTY,YX,U,RO,V1,V2
      DIMENSION DELTY(M),YX(M),U(M,K),RO(M)
      GO TO (110,10,50),IU
C
C---------RELATIVE ERROR------------------------------------------------
C                                                                       |
   10 DO 40 L=1,M                                                       |
      V1=ABS(YX(L))                                                     |
      JN=1                                                              |
      IF (V1 .GT. 0.D0) GO TO 25                                        |
C                                                                       |
C-------FIND THE FIRST NONZERO VALUE                                    |
      DO 15 J=1,K                                                       |
      V1=ABS(U(L,J))                                                     |
      IF (V1 .EQ. 0.D0) GO TO 15                                        |
      JN=J+1                                                            |
      GO TO 25                                                          |
   15 CONTINUE                                                          |
      GO TO 40                                                          |
C                                                                       |
C-------FIND THE WORSE RELATIVE ERROR AMONG NONZERO VALUES YX AND U     |
C                                                                       |
   25 DO 30 J=JN,K                                                      |
      V2=ABS(U(L,J))                                                    |
      IF (V2 .GE. V1) GO TO 30                                          |
      IF (V2 .GT. 0.D0) V1=V2                                           |
   30 CONTINUE                                                          |
C                                                                       |
      RO(L)=DELTY(L)/V1                                                 |
   40 CONTINUE                                                          |
      GO TO 110                                                         |
C-----------------------------------------------------------------------
C
C--------MEASURE ERROR--------------------------------------------------
C                                                                       |
   50 DO 100 L=1,M                                                      |
C                                                                       |
C-------FIND VALUE |U(L,J)| > THRESH OR |U(L,J)| = THRESH                       |
      DO 70 J=1,K                                                       |
      V1=ABS(U(L,J))                                                    |   
      IF (V1 .LT. THRESH) GO TO 70                                      |  
      JN=J+1                                                            | 
C                                                                       |
C-------FIND THE WORSE RELATIVE ERROR AMONG |VALUES| '>' OR '=' THRESH  |
C                                                                       |
      DO 60 JI=JN,K                                                     |
      V2=ABS(U(L,JI))                                                   |
      IF (V2 .LT. THRESH  .OR.  V2 .GE. V1) GO TO 60                    |
      V1=V2                                                             |
   60 CONTINUE                                                          |
      GO TO 80                                                          |
   70 CONTINUE                                                          |
C                                                                       |
C----------ALL VALUES |U(L,J)| < THRESH                                 |
C                                                                       |
      V1=ABS(YX(L))                                                     |
      IF (V1 .GE. THRESH) GO TO 90                                      |
      GO TO 100                                                         |
C                                                                       |
C-------------THERE IS AT LEAST ONE VALUE |U(L,J)| '>' OR '=' THRESH    |
C                                                                       |
   80 V2=ABS(YX(L))                                                     |
      IF (V2 .LT. THRESH) GO TO 90                                      |
      IF (V2 .LT. V1) V1=V2                                             |
   90 RO(L)=DELTY(L)/V1                                                 |
C-----------------------------------------------------------------------
  100 CONTINUE                                                          
  110 RETURN                                                            
      END                                                               


 
 

