      SUBROUTINE DE75DK(K,RABC,ALP,ALPN,CMAR,P,S,K2,ALP2,ALPN2,CMAR2,P2,
     1                  S2) 
      DOUBLE PRECISION RABC,ALP,ALPN,CMAR,P,S,ALP2,ALPN2,CMAR2,P2,S2,
     2                 WC1,WC2,WC3,HD2,HD4,HOLD,PI,R,WC0,W,
     3                 WC30,WC12,WC22,WC32            
      DIMENSION RABC(1),ALP(K),  ALPN(K),  CMAR(K,K),   P(1), S(1),
     1                  ALP2(K2),ALPN2(K2),CMAR2(K2,K2),P2(1),S2(1)
C           
      COMMON/COM70D/WC1,WC2,WC3,LASN,HD2,HD4,HOLD
      COMMON/COM75D/LASN0,LASN2,WC30,WC12,WC22,WC32
C
      PI=3.1415926535897932385D0
C     PI=3.14_159_265_358_979_323_85
C       CONSTRUCTION OF PASCAL MATRIX
      KM1=K-1
      DO 10 J=1,KM1
   10 CMAR(J,J)=1.0D0
      DO 20 J=2,K
      CMAR(1,J)=DBLE(J)
      IF (J .EQ. 2) GO TO 20
      JM1=J-1
      DO 15 I=2,JM1
      CMAR(I,J)=CMAR(I-1,JM1)+CMAR(I,JM1)
   15 CONTINUE
   20 CONTINUE
C       DISPLACEMENT OF PASCAL MATRIX
      S(1)=1.0D0
      DO 25 J=1,K
   25 S(J+1)=S(J)*2.0D0
      IPNS=K+1
      IPN=0
      DO 35 I=1,KM1
      R=0.5D0
      DO 30 J=I,K
      IPN=IPN+1
      IPNS=IPNS+1 
      P(IPN)=CMAR(I,J)
      R=R*2.0D0
      S(IPNS)=CMAR(I,J)*R
   30 CONTINUE
   35 CONTINUE 
C       CALCULATE OF MARKOV COEFFICIENTS
      WC0=1.0D0/DBLE(2*K+1)
      WC1=PI*WC0
      WC2=2.0D0*WC0
      WC3=4.0D0*WC0
      LASN=K+1-MOD(K,2)
C       COEFFICIENTS MARKOV FOR A1
      DO 40 J=1,K
      W=DBLE(2*J-1)*WC1
      ALPN(J)=COS(W)
      ALP(J)=(1.0D0+ALPN(J))*0.5D0
      CMAR(1,J)=ALPN(J)
   40 CONTINUE
C       COEFFICIENTS MARKOV FOR A2,...,AK
      DO 55 J=1,K
      R=DBLE(2*J-1)*WC1
      DO 50 I=2,K
      CMAR(I,J)=COS(DBLE(I)*R)
C       CMAR(I,J)=DE70DT(I,ALPN(J))
   50 CONTINUE 
   55 CONTINUE  
C
      WC30=WC3
      LASN0=LASN
C
C----------------CONSTRUCTION OF PASCAL MATRIX----------------------
C
      KM1=K2-1
      DO 70 J=1,KM1
   70 CMAR2(J,J)=1.0D0
      DO 80 J=2,K2
      CMAR2(1,J)=DBLE(J)
      IF (J .EQ. 2) GO TO 80
      JM1=J-1
      DO 75 I=2,JM1
      CMAR2(I,J)=CMAR2(I-1,JM1)+CMAR2(I,JM1)
   75 CONTINUE
   80 CONTINUE
C
C----------DISPLACEMENT OF PASCAL MATRIX--------------------
      S2(1)=1.0D0
      DO 85 J=1,K2
   85 S2(J+1)=S2(J)*2.0D0
      IPNS=K2+1
      IPN=0
      DO 95 I=1,KM1
      R=0.5D0
      DO 90 J=I,K2
      IPN=IPN+1
      IPNS=IPNS+1 
      P2(IPN)=CMAR2(I,J)
      R=R*2.0D0
      S2(IPNS)=CMAR2(I,J)*R
   90 CONTINUE
   95 CONTINUE 
C------------------CALCULATE OF MARKOV COEFFICIENTS------------
      WC0=1.0D0/DBLE(2*K2+1)
      WC12=PI*WC0
      WC22=2.0D0*WC0
      WC32=4.0D0*WC0
      LASN2=K2+1-MOD(K2,2)
C-----------------COEFFICIENTS MARKOV FOR A1---------------
      DO 100 J=1,K2
      W=DBLE(2*J-1)*WC12
      ALPN2(J)=COS(W)
      ALP2(J)=(1.0D0+ALPN2(J))*0.5D0
      CMAR2(1,J)=ALPN2(J)
  100 CONTINUE
C----------------COEFFICIENTS MARKOV FOR A2,...,AK---------
      DO 110 J=1,K2
      R=DBLE(2*J-1)*WC12
      DO 105 I=2,K2
      CMAR2(I,J)=COS(DBLE(I)*R)
C       CMAR2(I,J)=DE70DT(I,ALPN2(J))
  105 CONTINUE 
  110 CONTINUE  
C
      DO 120 J=2,MAX(K,K2) 
      RABC(J)=1.0D0/DBLE(J*J-1)
  120 CONTINUE
      RETURN
      END
        






